# Interface Facility

Facility (e.g. building or bridge)

interface Facility {
aggregatedFacilities?: string[];
aggregatedFacilityParts?: string[];
aggregatedSpaces?: string[];
class: FacilityClass;
elementQuantities?: ElementQuantities[];
id: string;
name?: string;
propertySets?: PropertySet[];
}

##### Index

### Properties

aggregatedFacilities?
aggregatedFacilityParts?
aggregatedSpaces?
class
elementQuantities?
id
name?
propertySets?

## Properties

### `Optional` aggregatedFacilities

aggregatedFacilities?: string[]

Facilities that are part of the facility (e.g. when a building is a complex of buildings)

### `Optional` aggregatedFacilityParts

aggregatedFacilityParts?: string[]

Distinct parts of the facility (e.g. storey or railway part)

### `Optional` aggregatedSpaces

aggregatedSpaces?: string[]

Spaces in the facility that do not belong to a facility part

### class

class: FacilityClass

Type of facility (e.g. IfcBuilding)

### `Optional` elementQuantities

elementQuantities?: ElementQuantities[]

### id

id: string

Unique identifier for the building

### `Optional` name

name?: string

### `Optional` propertySets

propertySets?: PropertySet[]